path: /build/build/libopenshot-media-libs-0.3.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 imagemagick opencv python python_single_target_python3_9" emerge media-libs/libopenshot -pv -t && \
    USE="-doc -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 imagemagick opencv python python_single_target_python3_9" emerge -j ${JOBS} --nodeps media-libs/libopenshot
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libopenshot && luet-portage --dir /pkgdir/libopenshot
    media-libs/libopenshot && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:13eddb24c29f215d550caa89651d6c27dd92dfca65a7da6171ae27f2424fdc59
  package:
    name: libopenshot
    version: 0.3.2+1
    category: media-libs
    use_flags:
    - -doc
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - imagemagick
    - opencv
    - python
    - python_single_target_python3_9
    requires:
    - name: libopenshot-audio
      version: '>=0'
      category: media-libs
    - name: libopenshot-audio
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Video editing library used by OpenShot
    uri:
    - https://www.openshot.org/
    license: GPL-3+
    buildtimestamp: 2024-02-24 19:10:00.116978151 +0000 UTC m=+602.131074433
    labels:
      BDEPEND: doc? ( app-doc/doxygen ) python? ( dev-lang/swig ) dev-util/ninja dev-util/cmake
      DEPEND: dev-libs/jsoncpp:0= dev-libs/protobuf:= dev-qt/qtcore:5 dev-qt/qtgui:5
        dev-qt/qtmultimedia:5[widgets] >=media-libs/libopenshot-audio-0.2.1:0= media-video/ffmpeg:0=[encode,x264,xvid,vpx,mp3,theora,vorbis]
        net-libs/cppzmq net-libs/zeromq imagemagick? ( >=media-gfx/imagemagick-7:0=[cxx]
        ) opencv? ( >=media-libs/opencv-4.5.2:=[contrib] ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) )
      IUSE: doc examples +imagemagick +opencv +python python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: dev-libs/jsoncpp:0= dev-libs/protobuf:= dev-qt/qtcore:5 dev-qt/qtgui:5
        dev-qt/qtmultimedia:5[widgets] >=media-libs/libopenshot-audio-0.2.1:0= media-video/ffmpeg:0=[encode,x264,xvid,vpx,mp3,theora,vorbis]
        net-libs/cppzmq net-libs/zeromq imagemagick? ( >=media-gfx/imagemagick-7:0=[cxx]
        ) opencv? ( >=media-libs/opencv-4.5.2:=[contrib] ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) )
      emerge.packages: media-libs/libopenshot
      kit: geaaru-kit
      original.package.name: media-libs/libopenshot
      original.package.slot: "0"
      original.package.version: 0.3.2
    treedir: /build/packages
  package_dir: /pkgdir/libopenshot
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9dcafbba439a00538aa89c37a42af77ddd7874296dc4fed8a14401556a87aa15
compressiontype: zstd
files:
- usr/include/libopenshot/AudioBufferSource.h
- usr/include/libopenshot/AudioDevices.h
- usr/include/libopenshot/AudioLocation.h
- usr/include/libopenshot/AudioReaderSource.h
- usr/include/libopenshot/AudioResampler.h
- usr/include/libopenshot/AudioWaveformer.h
- usr/include/libopenshot/CVObjectDetection.h
- usr/include/libopenshot/CVStabilization.h
- usr/include/libopenshot/CVTracker.h
- usr/include/libopenshot/CacheBase.h
- usr/include/libopenshot/CacheDisk.h
- usr/include/libopenshot/CacheMemory.h
- usr/include/libopenshot/ChannelLayouts.h
- usr/include/libopenshot/ChunkReader.h
- usr/include/libopenshot/ChunkWriter.h
- usr/include/libopenshot/Clip.h
- usr/include/libopenshot/ClipBase.h
- usr/include/libopenshot/ClipProcessingJobs.h
- usr/include/libopenshot/Color.h
- usr/include/libopenshot/Coordinate.h
- usr/include/libopenshot/CrashHandler.h
- usr/include/libopenshot/DummyReader.h
- usr/include/libopenshot/EffectBase.h
- usr/include/libopenshot/EffectInfo.h
- usr/include/libopenshot/Effects.h
- usr/include/libopenshot/Enums.h
- usr/include/libopenshot/Exceptions.h
- usr/include/libopenshot/FFmpegReader.h
- usr/include/libopenshot/FFmpegUtilities.h
- usr/include/libopenshot/FFmpegWriter.h
- usr/include/libopenshot/Fraction.h
- usr/include/libopenshot/Frame.h
- usr/include/libopenshot/FrameMapper.h
- usr/include/libopenshot/ImageReader.h
- usr/include/libopenshot/ImageWriter.h
- usr/include/libopenshot/Json.h
- usr/include/libopenshot/KeyFrame.h
- usr/include/libopenshot/MagickUtilities.h
- usr/include/libopenshot/OpenCVUtilities.h
- usr/include/libopenshot/OpenMPUtilities.h
- usr/include/libopenshot/OpenShot.h
- usr/include/libopenshot/OpenShotVersion.h
- usr/include/libopenshot/PlayerBase.h
- usr/include/libopenshot/Point.h
- usr/include/libopenshot/ProcessingController.h
- usr/include/libopenshot/Profiles.h
- usr/include/libopenshot/Qt/AudioPlaybackThread.h
- usr/include/libopenshot/Qt/PlayerDemo.h
- usr/include/libopenshot/Qt/PlayerPrivate.h
- usr/include/libopenshot/Qt/VideoCacheThread.h
- usr/include/libopenshot/Qt/VideoPlaybackThread.h
- usr/include/libopenshot/Qt/VideoRenderWidget.h
- usr/include/libopenshot/Qt/VideoRenderer.h
- usr/include/libopenshot/QtHtmlReader.h
- usr/include/libopenshot/QtImageReader.h
- usr/include/libopenshot/QtPlayer.h
- usr/include/libopenshot/QtTextReader.h
- usr/include/libopenshot/QtUtilities.h
- usr/include/libopenshot/ReaderBase.h
- usr/include/libopenshot/RendererBase.h
- usr/include/libopenshot/Settings.h
- usr/include/libopenshot/TextReader.h
- usr/include/libopenshot/Timeline.h
- usr/include/libopenshot/TimelineBase.h
- usr/include/libopenshot/TrackedObjectBBox.h
- usr/include/libopenshot/TrackedObjectBase.h
- usr/include/libopenshot/WriterBase.h
- usr/include/libopenshot/ZmqLogger.h
- usr/include/libopenshot/audio_effects/Compressor.h
- usr/include/libopenshot/audio_effects/Delay.h
- usr/include/libopenshot/audio_effects/Distortion.h
- usr/include/libopenshot/audio_effects/Echo.h
- usr/include/libopenshot/audio_effects/Expander.h
- usr/include/libopenshot/audio_effects/Noise.h
- usr/include/libopenshot/audio_effects/ParametricEQ.h
- usr/include/libopenshot/audio_effects/Robotization.h
- usr/include/libopenshot/audio_effects/STFT.h
- usr/include/libopenshot/audio_effects/Whisperization.h
- usr/include/libopenshot/effects/Bars.h
- usr/include/libopenshot/effects/Blur.h
- usr/include/libopenshot/effects/Brightness.h
- usr/include/libopenshot/effects/Caption.h
- usr/include/libopenshot/effects/ChromaKey.h
- usr/include/libopenshot/effects/ColorShift.h
- usr/include/libopenshot/effects/Crop.h
- usr/include/libopenshot/effects/Deinterlace.h
- usr/include/libopenshot/effects/Hue.h
- usr/include/libopenshot/effects/Mask.h
- usr/include/libopenshot/effects/Negate.h
- usr/include/libopenshot/effects/ObjectDetection.h
- usr/include/libopenshot/effects/Pixelate.h
- usr/include/libopenshot/effects/Saturation.h
- usr/include/libopenshot/effects/Shift.h
- usr/include/libopenshot/effects/Stabilizer.h
- usr/include/libopenshot/effects/Tracker.h
- usr/include/libopenshot/effects/Wave.h
- usr/include/libopenshot/sort_filter/Hungarian.h
- usr/include/libopenshot/sort_filter/KalmanTracker.h
- usr/lib/python3.9/site-packages/__pycache__/openshot.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/openshot.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/openshot.cpython-39.pyc
- usr/lib/python3.9/site-packages/_openshot.so
- usr/lib/python3.9/site-packages/openshot.py
- usr/lib64/libopenshot.so
- usr/lib64/libopenshot.so.0.3.2
- usr/lib64/libopenshot.so.25
- usr/share/doc/libopenshot-0.3.2/AUTHORS.bz2
- usr/share/doc/libopenshot-0.3.2/HW-ACCEL.md.bz2
- usr/share/doc/libopenshot-0.3.2/README.md.bz2
- var/db/pkg/media-libs/libopenshot-0.3.2/BDEPEND
- var/db/pkg/media-libs/libopenshot-0.3.2/BUILD_TIME
- var/db/pkg/media-libs/libopenshot-0.3.2/CATEGORY
- var/db/pkg/media-libs/libopenshot-0.3.2/CBUILD
- var/db/pkg/media-libs/libopenshot-0.3.2/CFLAGS
- var/db/pkg/media-libs/libopenshot-0.3.2/CHOST
- var/db/pkg/media-libs/libopenshot-0.3.2/CONTENTS
- var/db/pkg/media-libs/libopenshot-0.3.2/COUNTER
- var/db/pkg/media-libs/libopenshot-0.3.2/CXXFLAGS
- var/db/pkg/media-libs/libopenshot-0.3.2/DEFINED_PHASES
- var/db/pkg/media-libs/libopenshot-0.3.2/DEPEND
- var/db/pkg/media-libs/libopenshot-0.3.2/DESCRIPTION
- var/db/pkg/media-libs/libopenshot-0.3.2/EAPI
- var/db/pkg/media-libs/libopenshot-0.3.2/FEATURES
- var/db/pkg/media-libs/libopenshot-0.3.2/HOMEPAGE
- var/db/pkg/media-libs/libopenshot-0.3.2/INHERITED
- var/db/pkg/media-libs/libopenshot-0.3.2/IUSE
- var/db/pkg/media-libs/libopenshot-0.3.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libopenshot-0.3.2/KEYWORDS
- var/db/pkg/media-libs/libopenshot-0.3.2/LDFLAGS
- var/db/pkg/media-libs/libopenshot-0.3.2/LICENSE
- var/db/pkg/media-libs/libopenshot-0.3.2/NEEDED
- var/db/pkg/media-libs/libopenshot-0.3.2/PF
- var/db/pkg/media-libs/libopenshot-0.3.2/PROVIDES
- var/db/pkg/media-libs/libopenshot-0.3.2/RDEPEND
- var/db/pkg/media-libs/libopenshot-0.3.2/REQUIRES
- var/db/pkg/media-libs/libopenshot-0.3.2/SIZE
- var/db/pkg/media-libs/libopenshot-0.3.2/SLOT
- var/db/pkg/media-libs/libopenshot-0.3.2/USE
- var/db/pkg/media-libs/libopenshot-0.3.2/environment.bz2
- var/db/pkg/media-libs/libopenshot-0.3.2/libopenshot-0.3.2.ebuild
- var/db/pkg/media-libs/libopenshot-0.3.2/repository
package_cacheimage: ""
runtime:
  name: libopenshot
  version: 0.3.2+1
  category: media-libs
  use_flags:
  - -doc
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - imagemagick
  - opencv
  - python
  - python_single_target_python3_9
  requires:
  - name: jsoncpp
    version: '>=0'
    category: dev-libs
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtmultimedia
    version: '>=0'
    category: dev-qt-5
  - name: imagemagick
    version: '>=0'
    category: media-gfx
  - name: libopenshot-audio
    version: '>=0'
    category: media-libs
  - name: opencv
    version: '>=0'
    category: media-libs
  - name: cppzmq
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Video editing library used by OpenShot
  uri:
  - https://www.openshot.org/
  license: GPL-3+
  labels:
    BDEPEND: doc? ( app-doc/doxygen ) python? ( dev-lang/swig ) dev-util/ninja dev-util/cmake
    DEPEND: dev-libs/jsoncpp:0= dev-libs/protobuf:= dev-qt/qtcore:5 dev-qt/qtgui:5
      dev-qt/qtmultimedia:5[widgets] >=media-libs/libopenshot-audio-0.2.1:0= media-video/ffmpeg:0=[encode,x264,xvid,vpx,mp3,theora,vorbis]
      net-libs/cppzmq net-libs/zeromq imagemagick? ( >=media-gfx/imagemagick-7:0=[cxx]
      ) opencv? ( >=media-libs/opencv-4.5.2:=[contrib] ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) )
    IUSE: doc examples +imagemagick +opencv +python python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
    RDEPEND: dev-libs/jsoncpp:0= dev-libs/protobuf:= dev-qt/qtcore:5 dev-qt/qtgui:5
      dev-qt/qtmultimedia:5[widgets] >=media-libs/libopenshot-audio-0.2.1:0= media-video/ffmpeg:0=[encode,x264,xvid,vpx,mp3,theora,vorbis]
      net-libs/cppzmq net-libs/zeromq imagemagick? ( >=media-gfx/imagemagick-7:0=[cxx]
      ) opencv? ( >=media-libs/opencv-4.5.2:=[contrib] ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) )
    emerge.packages: media-libs/libopenshot
    kit: geaaru-kit
    original.package.name: media-libs/libopenshot
    original.package.slot: "0"
    original.package.version: 0.3.2
